.globl entity_zero
.globl entity_array

.globl entity_player_collision

;; (Variable) How big an entity is in bytes
.globl entity_size_bytes

;; (Variable) How many entities are alive right now
.globl entity_alive_count

;; (Variable) Pointer to one past the end of alive entities
.globl entity_alive_end

;; (Function) Creates an entity on the array
;;      Parameters:
;;          hl - Data to initialize the entity
;;      Destroys:
;;          hl, de, bc, af
;;      Returns:
;;          a - 0 if entity was created, 1 otherwise
;;      Errors:
;;          If the maximum number of entities is alive
;;          it doesnt create a new entity
.globl entity_create

;; (Function) Destroys an entity
;;      Parameters:
;;          hl - Entity to destroy
;;      Destroys:
;;          hl, de, bc, af
;;      Returns:
;;          a - 0 if entity was destroyed, 1 otherwise
;;      Errors:
;;          If no entities exist this function does nothing and returns
;;          1
.globl entity_destroy

.globl entity_clear_entities

;; The max amount of entities you can have
entity_max_count  = 32

;; Offsets to get values from ix
;; when you are iterating over
;; you can do for example entity_get_type(ix)
;; and you get the type.
entity_get_type     = 0
entity_get_x        = 1
entity_get_y        = 2
entity_get_life     = 3
entity_get_attack   = 4
entity_get_sprite_l = 5
entity_get_sprite_h = 6

entity_type_player = 0
entity_type_key    = 1
entity_type_gem    = 2
entity_type_door   = 3
entity_type_enemy  = 4
