.globl level_forest
.globl level_cave

;; (Function) Initializes the level manager with the tileset for the whole game
;;      Parameters: NONE
;;      Destroys:
;;          hl, de, bc, af
;;      Returns: NONE
;;      Errors: NONE
.globl level_manager_init

;; (Function) Changes the current level and loads the new map entities
;;      Parameters:
;;          hl - Pointer to the new map to load
;;      Destroys:
;;          hl, de, bc, af
;;      Returns: NONE
;;      Errors: NONE
.globl level_change

;; (Function) Draws current level on video memory
;;      Parameters: NONE
;;      Destroys:
;;          hl, de, bc, af, ix, iy
;;      Returns: NONE
;;      Errors: NONE
.globl level_draw


;; (Function) Checks collision against tilemap
;;      Parameters:
;;          b - Y coordinate of tilemap to check
;;          c - X coordinate of tilemap to check
;;      Destroys:
;;          hl, de, bc, af
;;      Returns:
;;          a - 0 if there is collision, 1 otherwise
;;      Errors: NONE
.globl level_check_collision

tilemap_width = 16
tilemap_height = 16
sprite_width_bytes = 4
sprite_height_bytes = 8
